﻿using UnityEngine;
using System.Collections;

public class Bird : MonoBehaviour {

	public float moveSpeed = 2.0f;

	public bool spawnRight = false;
	public bool spawnLeft = false;
	
	public SpriteRenderer rightFacing;
	public SpriteRenderer leftFacing;
	
	void Update() {
		if(spawnRight && gameObject.transform.localPosition.x > 24.0f ||
		   spawnLeft && gameObject.transform.localPosition.x < -24.0f) {
			DestroyObject(gameObject);
		}
	}

	// Update is called once per frame
	void FixedUpdate() {
		if(spawnRight) {
			rigidbody2D.velocity = new Vector2(transform.localScale.x * moveSpeed, rigidbody2D.velocity.y);
		} else if(spawnLeft) {
			rigidbody2D.velocity = -(new Vector2(transform.localScale.x * moveSpeed, rigidbody2D.velocity.y));
		}
	}

	public void randomizeSpeed() {
		moveSpeed = Random.Range(2.0f, 6.0f);

		if(spawnRight) {
			leftFacing.enabled = false;
			rightFacing.enabled = true;
		} else if(spawnLeft) {
			leftFacing.enabled = true;
			rightFacing.enabled = false;
		}
	}
}
