﻿using UnityEngine;
using System.Collections;

public class ChopperClaw : MonoBehaviour {

	private GameObject activeObject;
	
	public SpriteRenderer openClaw;
	public SpriteRenderer closedClaw;

	void Update() {
		if(Input.GetKeyDown(KeyCode.Space)) {
			if(activeObject) {
				closedClaw.enabled = false;
				openClaw.enabled = true;

				activeObject.transform.parent = null;

				Tree tree = activeObject.GetComponent<Tree>();
				tree.hasDropped = true;

				Rigidbody2D rigidbody = activeObject.AddComponent<Rigidbody2D>();
				rigidbody.mass = 10;

				activeObject.AddComponent<BoxCollider2D>();

				Invoke("ActiveObjectNeedsCleared", 0.1f); 
			}
		}
	}

	void ActiveObjectNeedsCleared() {
		Debug.Log("Clearing active object");
		activeObject = null;
	}

	void OnTriggerEnter2D(Collider2D other) {
		Debug.Log("OnTriggerEnter2D: Claw object -- " + other.tag + " : " + other.GetInstanceID());

		if(other.tag == "Tree" && activeObject == null) {
			Debug.Log("Attaching object to claw!");
			ChopperClawPickedUpObject(other.gameObject);
		} else {
			Debug.Log("Claw is already holding something.");
		}
	}

	public void ChopperClawPickedUpObject(GameObject obj) {
		if(activeObject) {
			Tree tree = activeObject.GetComponent<Tree>();
			if(tree.hasDropped) {
				return;
			} 
		}

		closedClaw.enabled = true;
		openClaw.enabled = false;

		obj.transform.parent = gameObject.transform;
		obj.transform.localPosition = new Vector3(0, -0.8f, 0);

		Destroy(obj.collider2D);
		Destroy(obj.rigidbody2D);

		activeObject = obj;
	}
}
