﻿using UnityEngine;
using System.Collections;

public class ChopperMovement : MonoBehaviour {
	
	public float moveForce = 4000f;				// Amount of force added to move the chopper left / right
	public float maxVerticalSpeed  = 5f;		// Limit the y speed
	public float maxHorizontalSpeed  = 5f;		// Limit the x speed
	
	private bool grounded = true;				// Whenter or not the chopper is grounded
	private float curSpeed  = 0f;				// Current magnitude 

	private float vertical = 0f;
	private float horizontal = 0f;

	public SpriteRenderer rightFacing;
	public SpriteRenderer leftFacing;
	
	void FixedUpdate() {
		UpdatePosition(); 
	}

	private void UpdatePosition() {
		horizontal = Input.GetAxis("Horizontal");
		vertical = Input.GetAxis("Vertical");

		curSpeed = rigidbody2D.velocity.magnitude;

		if(vertical != 0) {
			if(curSpeed > maxVerticalSpeed) {
				rigidbody2D.velocity = rigidbody2D.velocity.normalized * maxVerticalSpeed;
			} else {
				rigidbody2D.AddForce(Vector2.up * vertical * moveForce * maxVerticalSpeed);
			}
		}

		if(horizontal != 0) {
			if(curSpeed > maxHorizontalSpeed) {
				rigidbody2D.velocity = rigidbody2D.velocity.normalized * maxHorizontalSpeed;
			} else {
				rigidbody2D.AddForce(Vector2.right * horizontal * moveForce * maxHorizontalSpeed);
			}
		}

		if(horizontal > 0) {
			rightFacing.enabled = true;
			leftFacing.enabled = false;
		} else {
			rightFacing.enabled = false;
			leftFacing.enabled = true;
		}
	}
}
