﻿using UnityEngine;
using System.Collections;

public class GameOver : MonoBehaviour {

	public GUIText message;
	public GUIText highScore;
	public GUIText noHighScore;
	public GUIText beatHighScore;

	void Awake() {
		int high = PlayerPrefs.GetInt("high_score");
		int last = PlayerPrefs.GetInt("last_score");

		if(last < high) {
			noHighScore.enabled = true;
			beatHighScore.enabled = false;

			highScore.text = "Final Karma Was " + last;
			highScore.enabled = true;
		} else {
			noHighScore.enabled = false;
			beatHighScore.enabled = true;

			highScore.text = "YAY!! New High Score is " + last;
			highScore.enabled = true;
		}
	}

	void Update() {
		if(Input.GetKeyUp(KeyCode.Space)) {
			Application.LoadLevel("game"); 
		}
	}
}
