﻿using UnityEngine;
using System.Collections;

public class Ground : MonoBehaviour {

	public float spawnTime = 5f;		// The amount of time between each spawn
	public float spawnDelay = 0f;
	public GameObject treePrefab;

	private int maxTrees = 13;
	private Transform tree;
	
	void Start() {
		InvokeRepeating("Spawn", spawnDelay, spawnTime);
	}
	
	void Spawn() {
		GameObject[] trees = GameObject.FindGameObjectsWithTag("Tree");

		for(int i = trees.Length; i <= maxTrees; i++) {
			int r = Random.Range(0, 2);
			int x;
			if(r == 0) {
				x = Random.Range(0, 20);
			} else {
				x = Random.Range(-20, -5);
			}
			GameObject obj = Instantiate(treePrefab, new Vector3(x, -3.0f, 0), Quaternion.identity) as GameObject;
			spawnTime -= Random.Range(0.0f, 1.0f);
		}
	}

	void OnTriggerEnter2D(Collider2D other) {
		Debug.Log("OnTriggerEnter2D: Ground object -- " + other.tag);
	}
}
