﻿using UnityEngine;
using System.Collections;

public class Spawner : MonoBehaviour
{
	public float spawnTimeLong = 10.0f;		// The amount of time between each spawn.
	public float spawnTimeShort = 3.0f;

	public float spawnDelay = 3f;		// The amount of time before spawning starts.
	public GameObject[] objects;		// Array of prefabs.

	// Spawn left or right. If both are false, random!
	public bool spawnLeft = false;
	public bool spawnRight = false;
	
	void Start () {
		InvokeRepeating("Spawn", spawnDelay, spawnTimeShort);
		InvokeRepeating("Spawn", spawnDelay, spawnTimeLong);
	}
	
	void Spawn () {
		GameObject[] birds = GameObject.FindGameObjectsWithTag("Bird");
		if(birds.Length == objects.Length) {

		} else {
			int objectIndex = Random.Range(0, objects.Length);
			GameObject obj = Instantiate(objects[objectIndex], transform.position, transform.rotation) as GameObject;

			Bird bird = obj.gameObject.GetComponent<Bird>();
			bird.spawnLeft = spawnLeft;
			bird.spawnRight = spawnRight;
			bird.randomizeSpeed();
		}
	}
}
