﻿using UnityEngine;
using System.Collections;

public class TimeLimit : MonoBehaviour {
	
	public int countDownSeconds = 60;

	private float startTime;
	private int restSeconds;
	private int roundedRestSeconds;
	private int displayMinutes;
	private int displaySeconds;

	private Score score;

	void Awake() {
		startTime = Time.time;

		score = GameObject.Find("Score").GetComponent<Score>();
	}

	void Update() {
		float guiTime = Time.time - startTime;

		restSeconds = Mathf.FloorToInt(countDownSeconds - (guiTime));

		roundedRestSeconds = Mathf.CeilToInt(restSeconds);
		displaySeconds = roundedRestSeconds % 60;
		displayMinutes = roundedRestSeconds / 60; 
	
		guiText.text = displayMinutes + ":" + displaySeconds;

		if(displaySeconds < 13) {
			guiText.material.color = Color.red;
		} else if(displaySeconds != 0) {
			guiText.material.color = new Color(203.0f/255.0f, 221.0f/255.0f, 225.0f/255.0f);
		}

		if(displayMinutes == 0 && displaySeconds == 0) {
			int high = PlayerPrefs.GetInt("high_score");
			int newScore = score.score;

			if(newScore > high) {
				PlayerPrefs.SetInt("high_score", newScore);
			}

			PlayerPrefs.SetInt("last_score", newScore);

			Application.LoadLevel("gameover"); 
		}
	}
}
