﻿using UnityEngine;
using System.Collections;

public class Tree : MonoBehaviour {

	public bool hasDropped = false;
	public bool grounded = true;

	private Transform leftGroundCheck;			// A position marking where to check if the tree is grounded.
	private Transform rightGroundCheck;

	public SpriteRenderer treeImage;

	private Score score;

	void Awake() {
		leftGroundCheck = transform.Find("leftGroundCheck");
		rightGroundCheck = transform.Find("rightGroundCheck");

		score = GameObject.Find("Score").GetComponent<Score>();
	}

	void Update() {
		grounded = Physics2D.Linecast(transform.position, leftGroundCheck.position, 1 << LayerMask.NameToLayer("Ground"));  
		if(!grounded) {
			grounded = Physics2D.Linecast(transform.position, rightGroundCheck.position, 1 << LayerMask.NameToLayer("Ground"));
		}

		if(grounded) {
			if(hasDropped) {
				score.score += 10;

				hasDropped = false;
				StartCoroutine(BeginDestroyedSequence());
			}
		}
	}

	void OnTriggerEnter2D(Collider2D other) {
		Debug.Log("OnTriggerEnter2D: Tree object -- " + other.tag);

		if(other.tag == "Claw") {

		} else {

		}
	}

	public IEnumerator BeginDestroyedSequence() {
		Debug.Log("BeginDestroyedSequence()");

		bool state = false;
		for(int i = 0; i < 6; i++) {
			treeImage.enabled = state;
			state = !state;
			yield return new WaitForSeconds(0.2f);
		}

		ObjectNeedsDestroyed();
	}

	void ObjectNeedsDestroyed() {
		Debug.Log("Removing object");
		DestroyObject(gameObject);
	}
}
