﻿using UnityEngine;
using System.Collections;

public class Truck : MonoBehaviour {

	public GameObject truckBase;

	Tree lastTree;
	private Score score;

	void Awake() {
		score = GameObject.Find("Score").GetComponent<Score>();
	}

	void OnTriggerEnter2D(Collider2D other) {
		Debug.Log("OnTriggerEnter2D: Truck object -- " + other.tag);

		Tree tree = other.gameObject.GetComponent<Tree>();
		if(tree && tree.hasDropped) {
			if(!lastTree || (tree != lastTree)) {
				if(other.transform.position.y < -1.0) {
					score.score += 123;
				}
			}

			lastTree = tree;
			StartCoroutine(tree.BeginDestroyedSequence());
		}
	}
}
